Package twisted :: Package protocols :: Module postfix :: Class PostfixTCPMapDictServerFactory

[frames | no frames]

## Class PostfixTCPMapDictServerFactory

      Factory --+
                |
    ServerFactory --+
                    |
         UserDict --+
                    |
                   PostfixTCPMapDictServerFactory

An in-memory dictionary factory for PostfixTCPMapServer.

Method Summary
Inherited from Factory
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.
Inherited from UserDict
| `__init__(...)`
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__getitem__(...)`
| `__len__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`

Class Variable Summary
`class` | `protocol` = `twisted.protocols.postfix.PostfixTCPMapServer`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Generated by Epydoc 2.0 on Sat May 15 20:07:43 2004 | http://epydoc.sf.net